Bug 25651 - qtbase5 new security issue CVE-2019-18281
Summary: qtbase5 new security issue CVE-2019-18281
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA7-32-OK, MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-11-03 03:01 CET by David Walser
Modified: 2019-12-07 14:52 CET (History)
7 users (show)

See Also:
Source RPM: qtbase5-5.12.2-2.2.mga7.src.rpm
CVE:
Status comment:


Attachments
testfile for pyside (945 bytes, text/plain)
2019-11-27 17:32 CET, Herman Viaene
Details

Description David Walser 2019-11-03 03:01:48 CET
Debian has issued an advisory on October 31:
https://www.debian.org/security/2019/dsa-4556

The issue is fixed upstream in 5.12.5.
Comment 1 David GEIGER 2019-11-18 07:23:16 CET
I started the Qt5 stack update with the 5.12.6 release.

CC: (none) => geiger.david68210

Comment 2 David Walser 2019-11-18 13:25:10 CET
qtbase5-common-5.12.6-1.mga7
qtbase5-common-devel-5.12.6-1.mga7
qtbase5-examples-5.12.6-1.mga7
qtbase5-doc-5.12.6-1.mga7
libqt5core5-5.12.6-1.mga7
libqt5core-devel-5.12.6-1.mga7
libqt5concurrent5-5.12.6-1.mga7
libqt5concurrent-devel-5.12.6-1.mga7
libqt5dbus5-5.12.6-1.mga7
libqt5dbus-devel-5.12.6-1.mga7
libqt5eglfsdeviceintegration5-5.12.6-1.mga7
libqt5eglfsdeviceintegration-devel-5.12.6-1.mga7
libqt5eglfskmssupport5-5.12.6-1.mga7
libqt5eglfskmssupport-devel-5.12.6-1.mga7
libqt5gui5-5.12.6-1.mga7
libqt5gui-devel-5.12.6-1.mga7
libqt5network5-5.12.6-1.mga7
libqt5network-devel-5.12.6-1.mga7
libqt5opengl5-5.12.6-1.mga7
libqt5opengl-devel-5.12.6-1.mga7
libqt5platformsupport-devel-5.12.6-1.mga7
libqt5printsupport5-5.12.6-1.mga7
libqt5printsupport-devel-5.12.6-1.mga7
libqt5sql5-5.12.6-1.mga7
libqt5sql-devel-5.12.6-1.mga7
libqt5test5-5.12.6-1.mga7
libqt5test-devel-5.12.6-1.mga7
libqt5widgets5-5.12.6-1.mga7
libqt5widgets-devel-5.12.6-1.mga7
libqt5xcbqpa5-5.12.6-1.mga7
libqt5xcbqpa-devel-5.12.6-1.mga7
libqt5xml5-5.12.6-1.mga7
libqt5xml-devel-5.12.6-1.mga7
libqt5base5-devel-5.12.6-1.mga7
libqt5accessibilitysupport-static-devel-5.12.6-1.mga7
libqt5linuxaccessibilitysupport-static-devel-5.12.6-1.mga7
libqt5bootstrap-static-devel-5.12.6-1.mga7
libqt5devicediscoverysupport-static-devel-5.12.6-1.mga7
libqt5eglsupport-static-devel-5.12.6-1.mga7
libqt5eventdispatchersupport-static-devel-5.12.6-1.mga7
libqt5fbsupport-static-devel-5.12.6-1.mga7
libqt5fontdatabasesupport-static-devel-5.12.6-1.mga7
libqt5glxsupport-static-devel-5.12.6-1.mga7
libqt5inputsupport-static-devel-5.12.6-1.mga7
libqt5kmssupport-static-devel-5.12.6-1.mga7
libqt5platformcompositorsupport-static-devel-5.12.6-1.mga7
libqt5servicesupport-static-devel-5.12.6-1.mga7
libqt5edid-devel-5.12.6-1.mga7
libqt5themesupport-static-devel-5.12.6-1.mga7
libqt5-database-plugin-odbc-5.12.6-1.mga7
libqt5-database-plugin-mysql-5.12.6-1.mga7
libqt5-database-plugin-sqlite-5.12.6-1.mga7
libqt5-database-plugin-tds-5.12.6-1.mga7
libqt5-database-plugin-pgsql-5.12.6-1.mga7

from qtbase5-5.12.6-1.mga7.src.rpm
Comment 3 Thomas Backlund 2019-11-18 13:55:08 CET
(In reply to David GEIGER from comment #1)
> I started the Qt5 stack update with the 5.12.6 release.

IIRC that means we need to roll up the whole stack to 5.12.6 or it will break as usual...

CC: (none) => tmb

Comment 4 David GEIGER 2019-11-18 16:39:40 CET
(In reply to Thomas Backlund from comment #3)
> (In reply to David GEIGER from comment #1)
> > I started the Qt5 stack update with the 5.12.6 release.
> 
> IIRC that means we need to roll up the whole stack to 5.12.6 or it will
> break as usual...

That's what I'm doing right now, but before I continue is everyone agreed with this update?
Comment 5 Thomas Backlund 2019-11-19 08:51:52 CET
(In reply to David GEIGER from comment #4)
> (In reply to Thomas Backlund from comment #3)
> > (In reply to David GEIGER from comment #1)
> > > I started the Qt5 stack update with the 5.12.6 release.
> > 
> > IIRC that means we need to roll up the whole stack to 5.12.6 or it will
> > break as usual...
> 
> That's what I'm doing right now, but before I continue is everyone agreed
> with this update?


Yeah, I didn't mean to say you could not update, it was more of "we need the full stack updated so nothing (hopefully) breaks" :)
Comment 6 David GEIGER 2019-11-20 10:33:08 CET
Here the full list of the updated Qt5 stack packages:

========================

Packages in 7/core/updates_testing:
========================
qtbase5-common-5.12.6-1.mga7
qtbase5-common-devel-5.12.6-1.mga7
qtbase5-examples-5.12.6-1.mga7
qtbase5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5core5-5.12.6-1.mga7
lib(64)qt5core-devel-5.12.6-1.mga7
lib(64)qt5concurrent5-5.12.6-1.mga7
lib(64)qt5concurrent-devel-5.12.6-1.mga7
lib(64)qt5dbus5-5.12.6-1.mga7
lib(64)qt5dbus-devel-5.12.6-1.mga7
lib(64)qt5eglfsdeviceintegration5-5.12.6-1.mga7
lib(64)qt5eglfsdeviceintegration-devel-5.12.6-1.mga7
lib(64)qt5eglfskmssupport5-5.12.6-1.mga7
lib(64)qt5eglfskmssupport-devel-5.12.6-1.mga7
lib(64)qt5gui5-5.12.6-1.mga7
lib(64)qt5gui-devel-5.12.6-1.mga7
lib(64)qt5network5-5.12.6-1.mga7
lib(64)qt5network-devel-5.12.6-1.mga7
lib(64)qt5opengl5-5.12.6-1.mga7
lib(64)qt5opengl-devel-5.12.6-1.mga7
lib(64)qt5platformsupport-devel-5.12.6-1.mga7
lib(64)qt5printsupport5-5.12.6-1.mga7
lib(64)qt5printsupport-devel-5.12.6-1.mga7
lib(64)qt5sql5-5.12.6-1.mga7
lib(64)qt5sql-devel-5.12.6-1.mga7
lib(64)qt5test5-5.12.6-1.mga7
lib(64)qt5test-devel-5.12.6-1.mga7
lib(64)qt5widgets5-5.12.6-1.mga7
lib(64)qt5widgets-devel-5.12.6-1.mga7
lib(64)qt5xcbqpa5-5.12.6-1.mga7
lib(64)qt5xcbqpa-devel-5.12.6-1.mga7
lib(64)qt5xml5-5.12.6-1.mga7
lib(64)qt5xml-devel-5.12.6-1.mga7
lib(64)qt5base5-devel-5.12.6-1.mga7
lib(64)qt5accessibilitysupport-static-devel-5.12.6-1.mga7
lib(64)qt5linuxaccessibilitysupport-static-devel-5.12.6-1.mga7
lib(64)qt5bootstrap-static-devel-5.12.6-1.mga7
lib(64)qt5devicediscoverysupport-static-devel-5.12.6-1.mga7
lib(64)qt5eglsupport-static-devel-5.12.6-1.mga7
lib(64)qt5eventdispatchersupport-static-devel-5.12.6-1.mga7
lib(64)qt5fbsupport-static-devel-5.12.6-1.mga7
lib(64)qt5fontdatabasesupport-static-devel-5.12.6-1.mga7
lib(64)qt5glxsupport-static-devel-5.12.6-1.mga7
lib(64)qt5inputsupport-static-devel-5.12.6-1.mga7
lib(64)qt5kmssupport-static-devel-5.12.6-1.mga7
lib(64)qt5platformcompositorsupport-static-devel-5.12.6-1.mga7
lib(64)qt5servicesupport-static-devel-5.12.6-1.mga7
lib(64)qt5edid-devel-5.12.6-1.mga7
lib(64)qt5themesupport-static-devel-5.12.6-1.mga7
lib(64)qt5-database-plugin-odbc-5.12.6-1.mga7
lib(64)qt5-database-plugin-mysql-5.12.6-1.mga7
lib(64)qt5-database-plugin-sqlite-5.12.6-1.mga7
lib(64)qt5-database-plugin-tds-5.12.6-1.mga7
lib(64)qt5-database-plugin-pgsql-5.12.6-1.mga7

qttools5-5.12.6-1.mga7
qttools5-assistant-5.12.6-1.mga7
qttools5-designer-5.12.6-1.mga7
qttools5-qtdbus-5.12.6-1.mga7
lib(64)qt5help5-5.12.6-1.mga7
lib(64)qt5help-devel-5.12.6-1.mga7
lib(64)qt5designer5-5.12.6-1.mga7
lib(64)qt5designer-devel-5.12.6-1.mga7

qtdeclarative5-5.12.6-1.mga7
qtdeclarative5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5quicktest5-5.12.6-1.mga7
lib(64)qt5quicktest-devel-5.12.6-1.mga7
lib(64)qt5quick5-5.12.6-1.mga7
lib(64)qt5quick-devel-5.12.6-1.mga7
lib(64)qt5quickwidgets5-5.12.6-1.mga7
lib(64)qt5quickwidgets-devel-5.12.6-1.mga7
lib(64)qt5quickshapes5-5.12.6-1.mga7
lib(64)qt5quickshapes-devel-5.12.6-1.mga7
lib(64)qt5packetprotocol-static-devel-5.12.6-1.mga7
lib(64)qt5quickparticles5-5.12.6-1.mga7
lib(64)qt5quickparticles-devel-5.12.6-1.mga7
lib(64)qt5qml5-5.12.6-1.mga7
lib(64)qt5qml-devel-5.12.6-1.mga7

qtxmlpatterns5-5.12.6-1.mga7
qtxmlpatterns5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5xmlpatterns5-5.12.6-1.mga7
qtxmlpatterns5-xmlpatterns-5.12.6-1.mga7
lib(64)qt5xmlpatterns-devel-5.12.6-1.mga7

qtscript5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5scripttools5-5.12.6-1.mga7
lib(64)qt5scripttools-devel-5.12.6-1.mga7
lib(64)qt5script5-5.12.6-1.mga7
lib(64)qt5script-devel-5.12.6-1.mga7

qtimageformats5-5.12.6-1.mga7
lib(64)qt5imageformats-devel-5.12.6-1.mga7
qtimageformats5-doc-5.12.6-1.mga7.noarch.rpm

qtmultimedia5-5.12.6-1.mga7
qtmultimedia5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5multimedia5-5.12.6-1.mga7
lib(64)qt5multimedia-devel-5.12.6-1.mga7
lib(64)qt5multimediawidgets5-5.12.6-1.mga7
lib(64)qt5multimediawidgets-devel-5.12.6-1.mga7
lib(64)qt5multimediagsttools5-5.12.6-1.mga7
lib(64)qt5multimediagsttools-devel-5.12.6-1.mga7
lib(64)qt5multimediaquick5-5.12.6-1.mga7
lib(64)qt5multimediaquick-devel-5.12.6-1.mga7

qtgraphicaleffects5-5.12.6-1.mga7
qtgraphicaleffects5-doc-5.12.6-1.mga7.noarch.rpm

qtlocation5-5.12.6-1.mga7
qtlocation5-doc-5.12.6-1.mga7.noarch.rpm
qtpositioning5-5.12.6-1.mga7
lib(64)qt5positioning5-5.12.6-1.mga7
lib(64)qt5positioningquick5-5.12.6-1.mga7
lib(64)qt5positioning-devel-5.12.6-1.mga7
lib(64)qt5location5-5.12.6-1.mga7
lib(64)qt5location-devel-5.12.6-1.mga7

qtquickcontrols5-5.12.6-1.mga7
qtquickcontrols5-doc-5.12.6-1.mga7

qtserialport5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5serialport5-5.12.6-1.mga7
lib(64)qt5serialport-devel-5.12.6-1.mga7

qtsvg5-5.12.6-1.mga7
qtsvg5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5svg5-5.12.6-1.mga7
lib(64)qt5svg-devel-5.12.6-1.mga7

qtx11extras5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5x11extras5-5.12.6-1.mga7
lib(64)qt5x11extras-devel-5.12.6-1.mga7

qttranslations5-5.12.6-1.mga7.noarch.rpm

qtquickcontrols25-5.12.6-1.mga7
lib(64)qt5quickcontrols2_5-5.12.6-1.mga7
lib(64)qt5quicktemplates2_5-5.12.6-1.mga7
lib(64)qt5quickcontrols2-devel-5.12.6-1.mga7
lib(64)qt5quicktemplates2-devel-5.12.6-1.mga7

qtsensors5-5.12.6-1.mga7
qtsensors5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5sensors5-5.12.6-1.mga7
lib(64)qt5sensors-devel-5.12.6-1.mga7

qtscxml5-5.12.6-1.mga7
qtscxml5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5scxml5-5.12.6-1.mga7
lib(64)qt5scxml-devel-5.12.6-1.mga7

qtcharts5-5.12.6-1.mga7
qtcharts5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5charts5-5.12.6-1.mga7
lib(64)qt5charts-devel-5.12.6-1.mga7

qtconnectivity5-doc-5.12.6-1.mga7.noarch.rpm
qtbluetooth5-5.12.6-1.mga7
lib(64)qt5bluetooth5-5.12.6-1.mga7
lib(64)qt5bluetooth-devel-5.12.6-1.mga7
qtnfc5-5.12.6-1.mga7
lib(64)qt5nfc5-5.12.6-1.mga7
lib(64)qt5nfc-devel-5.12.6-1.mga7

qtdatavis3d5-5.12.6-1.mga7
qtdatavis3d5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5datavisualization5-5.12.6-1.mga7
lib(64)qt5datavisualization-devel-5.12.6-1.mga7

qtgamepad5-5.12.6-1.mga7
qtgamepad5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5gamepad5-5.12.6-1.mga7
lib(64)qt5gamepad-devel-5.12.6-1.mga7

qtnetworkauth5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5networkauth5-5.12.6-1.mga7
lib(64)qt5networkauth-devel-5.12.6-1.mga7

qtpurchasing5-5.12.6-1.mga7
qtpurchasing5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5purchasing5-5.12.6-1.mga7
lib(64)qt5purchasing-devel-5.12.6-1.mga7

qtspeech5-5.12.6-1.mga7
qtspeech5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5texttospeech5-5.12.6-1.mga7
lib(64)qt5texttospeech-devel-5.12.6-1.mga7

qt3d5-5.12.6-1.mga7
qt3d5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt53danimation5-5.12.6-1.mga7
lib(64)qt53dcore5-5.12.6-1.mga7
lib(64)qt53dextras5-5.12.6-1.mga7
lib(64)qt53dinput5-5.12.6-1.mga7
lib(64)qt53dlogic5-5.12.6-1.mga7
lib(64)qt53dquick5-5.12.6-1.mga7
lib(64)qt53dquickanimation5-5.12.6-1.mga7
lib(64)qt53dquickextras5-5.12.6-1.mga7
lib(64)qt53dquickinput5-5.12.6-1.mga7
lib(64)qt53dquickrender5-5.12.6-1.mga7
lib(64)qt53dquickscene2d5-5.12.6-1.mga7
lib(64)qt53drender5-5.12.6-1.mga7
lib(64)qt5qt3d-devel-5.12.6-1.mga7

qtvirtualkeyboard5-5.12.6-1.mga7
qtvirtualkeyboard5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5virtualkeyboard5-5.12.6-1.mga7
lib(64)qt5hunspellinputmethod5-5.12.6-1.mga7
lib(64)qt5virtualkeyboard-devel-5.12.6-1.mga7

qtserialbus5-5.12.6-1.mga7
qtserialbus5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5serialbus5-5.12.6-1.mga7
lib(64)qt5serialbus-devel-5.12.6-1.mga7

qtremoteobjects5-5.12.6-1.mga7
qtremoteobjects5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5remoteobjects5-5.12.6-1.mga7
lib(64)qt5remoteobjects-devel-5.12.6-1.mga7

qtwebsockets5-5.12.6-1.mga7
lib(64)qt5websockets5-5.12.6-1.mga7
lib(64)qt5websockets-devel-5.12.6-1.mga7

qtwayland5-5.12.6-1.mga7
qtwayland5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5waylandclient5-5.12.6-1.mga7
lib(64)qt5waylandcompositor5-5.12.6-1.mga7
lib(64)qt5waylandclient-devel-5.12.6-1.mga7

qtwebchannel5-5.12.6-1.mga7
qtwebchannel5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5webchannel5-5.12.6-1.mga7
lib(64)qt5webchannel-devel-5.12.6-1.mga7

qtdoc5-5.12.6-1.mga7.noarch.rpm

qtwebglplugin5-5.12.6-1.mga7
lib(64)qt5webglplugin-devel-5.12.6-1.mga7

qtwebview5-5.12.6-1.mga7
lib(64)qt5webview5-5.12.6-1.mga7
lib(64)qt5webview-devel-5.12.6-1.mga7

qtenginio5-1.6.3-7.1.mga7
qtenginio5-doc-1.6.3-7.1.mga7.noarch.rpm
lib(64)qtenginio1-1.6.3-7.1.mga7
lib(64)qt5enginio-devel-1.6.3-7.1.mga7

qtwebkit5-5.212.0-1.alpha3.1.mga7
lib(64)qt5webkitwidgets5-5.212.0-1.alpha3.1.mga7
lib(64)qt5webkitwidgets-devel-5.212.0-1.alpha3.1.mga7
lib(64)qt5webkit5-5.212.0-1.alpha3.1.mga7
lib(64)qt5webkit-devel-5.212.0-1.alpha3.1.mga7

qtwebengine5-5.12.6-1.mga7
qtwebengine5-doc-5.12.6-1.mga7.noarch.rpm
lib(64)qt5webengine5-5.12.6-1.mga7
lib(64)qt5webenginecore5-5.12.6-1.mga7
lib(64)qt5webenginewidgets5-5.12.6-1.mga7
lib(64)qt5webengine-devel-5.12.6-1.mga7


Source RPM:
========================
qtbase5-5.12.6-1.mga7.src.rpm
qttools5-5.12.6-1.mga7.src.rpm
qtdeclarative5-5.12.6-1.mga7.src.rpm
qtxmlpatterns5-5.12.6-1.mga7.src.rpm
qtscript5-5.12.6-1.mga7.src.rpm
qtimageformats5-5.12.6-1.mga7.src.rpm
qtmultimedia5-5.12.6-1.mga7.src.rpm
qtgraphicaleffects5-5.12.6-1.mga7.src.rpm
qtlocation5-5.12.6-1.mga7.src.rpm
qtquickcontrols5-5.12.6-1.mga7.src.rpm
qtserialport5-5.12.6-1.mga7.src.rpm
qtsvg5-5.12.6-1.mga7.src.rpm
qtx11extras5-5.12.6-1.mga7.src.rpm
qttranslations5-5.12.6-1.mga7.src.rpm
qtquickcontrols25-5.12.6-1.mga7.src.rpm
qtsensors5-5.12.6-1.mga7.src.rpm
qtscxml5-5.12.6-1.mga7.src.rpm
qtcharts5-5.12.6-1.mga7.src.rpm
qtconnectivity5-5.12.6-1.mga7.src.rpm
qtdatavis3d5-5.12.6-1.mga7.src.rpm
qtgamepad5-5.12.6-1.mga7.src.rpm
qtnetworkauth5-5.12.6-1.mga7.src.rpm
qtpurchasing5-5.12.6-1.mga7.src.rpm
qtspeech5-5.12.6-1.mga7.src.rpm
qt3d5-5.12.6-1.mga7.src.rpm
qtvirtualkeyboard5-5.12.6-1.mga7.src.rpm
qtserialbus5-5.12.6-1.mga7.src.rpm
qtremoteobjects5-5.12.6-1.mga7.src.rpm
qtwebsockets5-5.12.6-1.mga7.src.rpm
qtwayland5-5.12.6-1.mga7.src.rpm
qtwebchannel5-5.12.6-1.mga7.src.rpm
qtdoc5-5.12.6-1.mga7.src.rpm
qtwebglplugin5-5.12.6-1.mga7.src.rpm
qtwebview5-5.12.6-1.mga7.src.rpm
qtenginio5-1.6.3-7.1.mga7.src.rpm
qtwebkit5-5.212.0-1.alpha3.1.mga7.src.rpm
qtwebengine5-5.12.6-1.mga7.src.rpm
Comment 7 David GEIGER 2019-11-20 16:21:08 CET
and also skrooge was rebuild against new Qt5 stack:


========================

Packages in 7/core/updates_testing:
========================
skrooge-2.19.1-2.mga7
lib(64)skgbankgui2-2.19.1-2.mga7
lib(64)skgbankmodeler2-2.19.1-2.mga7
lib(64)skgbasegui2-2.19.1-2.mga7
lib(64)skgbasemodeler2-2.19.1-2.mga7

Source RPM:
========================
skrooge-2.19.1-2.mga7.src.rpm
Comment 8 David GEIGER 2019-11-22 07:06:08 CET
also kwin was rebuild against new Qt5 stack:


========================

Packages in 7/core/updates_testing:
========================
kwin-5.15.4-1.1.mga7
kwin-common-5.15.4-1.1.mga7
lib(64)kwin4_effect_builtins1-5.15.4-1.1.mga7
lib(64)kwineffects5-5.15.4-1.1.mga7
lib(64)kwinglutils5-5.15.4-1.1.mga7
lib(64)kwinxrenderutils5-5.15.4-1.1.mga7
lib(64)kwin5-5.15.4-1.1.mga7
lib(64)kcmkwincommon5-5.15.4-1.1.mga7
kwin-wayland-5.15.4-1.1.mga7
lib(64)kwin-devel-5.15.4-1.1.mga7
kwin-handbook-5.15.4-1.1.mga7.noarch.rpm

Source RPM:
========================
kwin-5.15.4-1.1.mga7.src.rpm
Comment 9 David GEIGER 2019-11-23 05:13:53 CET
and now pyside2:

========================

Packages in 7/core/updates_testing:
========================
shiboken2-5.12.6-1.mga7
python3-shiboken2-5.12.6-1.mga7
lib(64)shiboken2-python3.7_5.12-5.12.6-1.mga7
lib(64)shiboken2-python3.7-devel-5.12.6-1.mga7

lib(64)pyside2-python3.7_5.12-5.12.6-1.mga7
lib(64)pyside2-python3.7-devel-5.12.6-1.mga7
python3-pyside2-5.12.6-1.mga7
python3-pyside2-core-5.12.6-1.mga7
python3-pyside2-3dcore-5.12.6-1.mga7
python3-pyside2-3danimation-5.12.6-1.mga7
python3-pyside2-3dextras-5.12.6-1.mga7
python3-pyside2-3dinput-5.12.6-1.mga7
python3-pyside2-3dlogic-5.12.6-1.mga7
python3-pyside2-3drender-5.12.6-1.mga7
python3-pyside2-charts-5.12.6-1.mga7
python3-pyside2-concurrent-5.12.6-1.mga7
python3-pyside2-datavisualization-5.12.6-1.mga7
python3-pyside2-gui-5.12.6-1.mga7
python3-pyside2-help-5.12.6-1.mga7
python3-pyside2-location-5.12.6-1.mga7
python3-pyside2-multimedia-5.12.6-1.mga7
python3-pyside2-multimediawidgets-5.12.6-1.mga7
python3-pyside2-network-5.12.6-1.mga7
python3-pyside2-opengl-5.12.6-1.mga7
python3-pyside2-openglfunctions-5.12.6-1.mga7
python3-pyside2-positioning-5.12.6-1.mga7
python3-pyside2-printsupport-5.12.6-1.mga7
python3-pyside2-qml-5.12.6-1.mga7
python3-pyside2-quick-5.12.6-1.mga7
python3-pyside2-quickwidgets-5.12.6-1.mga7
python3-pyside2-remoteobjects-5.12.6-1.mga7
python3-pyside2-script-5.12.6-1.mga7
python3-pyside2-scripttools-5.12.6-1.mga7
python3-pyside2-scxml-5.12.6-1.mga7
python3-pyside2-sensors-5.12.6-1.mga7
python3-pyside2-sql-5.12.6-1.mga7
python3-pyside2-svg-5.12.6-1.mga7
python3-pyside2-test-5.12.6-1.mga7
python3-pyside2-texttospeech-5.12.6-1.mga7
python3-pyside2-uitools-5.12.6-1.mga7
python3-pyside2-webchannel-5.12.6-1.mga7
python3-pyside2-webengine-5.12.6-1.mga7
python3-pyside2-webenginecore-5.12.6-1.mga7
python3-pyside2-webenginewidgets-5.12.6-1.mga7
python3-pyside2-websockets-5.12.6-1.mga7
python3-pyside2-widgets-5.12.6-1.mga7
python3-pyside2-x11extras-5.12.6-1.mga7
python3-pyside2-xml-5.12.6-1.mga7
python3-pyside2-xmlpatterns-5.12.6-1.mga7

pyside2-tools-5.12.6-1.mga7


Source RPM:
========================
shiboken2-5.12.6-1.mga7.src.rpm
pyside2-5.12.6-1.mga7.src.rpm
pyside2-tools-5.12.6-1.mga7.src.rpm
Comment 10 David GEIGER 2019-11-23 05:28:56 CET
Assiging to QA now,

You can test now this new Qt5 release 5.12.6, and report if something won't work!


Maybe there will be some more packages to rebuild against this new release.

Assignee: kde => qa-bugs

Comment 11 Thomas Andrews 2019-11-23 19:31:06 CET
With this many packages, it would be really easy to miss one of them if trying to select them by hand, and the probability of an unlisted dependency slipping through, as has happened before, becomes higher.

Waiting for the RPM list at madb.mageia.org/tools/listRpmsForQaBug/bugnum/25651/ to catch up, so I can use copy-and-paste with QA Repo. The list is empty at the moment. I'll check back tomorrow.

CC: (none) => andrewsfarm

Comment 12 Herman Viaene 2019-11-27 16:58:17 CET
MGA7-64 Plasma on Lenovo B50.
Installed the whole list from Comment 6 (I hope), thisdrew in an updaate on rpm and glibc, in total 258 packages.
Rebooted and no adverse effects noted(tried some documents and NFS access over Wifi).
I will now proceed with the other updatesfrom Comments 8 and 9.

CC: (none) => herman.viaene

Comment 13 Herman Viaene 2019-11-27 17:05:11 CET
Installed skrooge as per Comment 7, opened existing gnucah file with it, all looks OK.
Comment 14 Herman Viaene 2019-11-27 17:12:22 CET
Installed kwin as per Comment 8, logged out and in again, all seems OK.
Comment 15 Herman Viaene 2019-11-27 17:31:29 CET
Installed all pyside packages as per Comment 9
Found test for pyside at https://doc.qt.io/qtforpython/tutorials/basictutorial/dialog.html
I will upload  the test file.
Using the command 
$ python3 pyexample
and filling in "ikke" as name, displays:
Hello ikke
what seems to be the purpose of the test.
AFAICS, the whole bunch of updates behavedpretty well.
Comment 16 Herman Viaene 2019-11-27 17:32:06 CET
Created attachment 11380 [details]
testfile for pyside
Comment 17 Thomas Andrews 2019-11-27 22:58:45 CET
Using the rpm lists in the above comments with qarepo seemed difficult because the libraries were listed as "lib(64)xxx" so direct copy-and-paste wouldn't work. It took far too long for me to realize that I could load the list into kwrite and use find and replace to get those libraries into a form compatible with qarepo.

So, I used qarepo inside a vbox guest to download the packages, all 293 of them. When I used MCC to go after the updates, it only wanted 73, and because I used qarepo, glibc was not among them. There were no missing dependencies reported, and all packages updated cleanly. After the reboot, everything seemed to be working properly.
Comment 18 José Jorge 2019-11-29 10:56:47 CET
Installed all this crazy list, except skrooge which I don't use. All ok in a 2005 32 bits laptop.

Whiteboard: (none) => MGA7-32-OK
CC: (none) => lists.jjorge

Comment 19 Thomas Andrews 2019-11-30 23:20:15 CET
On real hardware, i5 2500, 16GB RAM, Intel graphics, wired Internet.

Following the procedure of Comment 17, 73 packages were updated. After a reboot, I ran this most of the afternoon, doing a variety of things, with zero issues noted.

With no one seeing any problems, I think this is ready to go. Oking and Validating. Advisory information scattered all over the place.

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs
Whiteboard: MGA7-32-OK => MGA7-32-OK, MGA7-64-OK

Comment 20 James Kerr 2019-12-01 09:39:03 CET
on mga7-64 (real hardware)  kernel-desktop  plasma
following the procedure from comment 17
73 packages updated cleanly

no regressions noted

OK on this system for mga7-64

CC: (none) => jim

Comment 21 James Kerr 2019-12-01 10:19:21 CET
on mga7-32 (in a vbox VM)  kernel-desktop586  plasma
following the procedure from comment 17
73 packages updated cleanly

no regressions noted

OK in a vbox VM for mga7-32
Thomas Backlund 2019-12-06 12:29:59 CET

Keywords: (none) => advisory

Comment 22 Mageia Robot 2019-12-06 15:17:11 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2019-0356.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED

Comment 23 José Jorge 2019-12-07 11:45:53 CET
Unfortunately, there are several users complaining after this update in french mailing list.

They explain that plasma-desktop crashes after some time, it can be when picture in background is changed, or when they use the apps bar.
Comment 24 Herman Viaene 2019-12-07 12:01:57 CET
Changed background of desktop with all these updates to one of my own tiff files and back to the default mageia. No problems
Comment 25 José Jorge 2019-12-07 12:03:20 CET
(In reply to Herman Viaene from comment #24)
> Changed background of desktop with all these updates to one of my own tiff
> files and back to the default mageia. No problems

I could reproduce, launching clementine, then play/pausing with the multimedia applet.
Comment 26 José Jorge 2019-12-07 12:05:28 CET
Or even without clementine, just trying to run with gdb:

Thread 1 "plasmashell" received signal SIGSEGV, Segmentation fault.
0x00007ffff5c43877 in QObject::setProperty(char const*, QVariant const&) () from /lib64/libQt5Core.so.5
(gdb) backtrace
#0  0x00007ffff5c43877 in QObject::setProperty(char const*, QVariant const&) () from /lib64/libQt5Core.so.5
#1  0x00007fffca296190 in ?? () from /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#2  0x00007fffca2970a8 in ?? () from /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#3  0x00007fffca290d39 in ?? () from /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#4  0x00007fffca2917a3 in ?? () from /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#5  0x00007ffff7420a4d in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const () from /lib64/libQt5Qml.so.5
#6  0x00007ffff732d7e1 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) () from /lib64/libQt5Qml.so.5
#7  0x00007ffff732f2a5 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) () from /lib64/libQt5Qml.so.5
#8  0x00007ffff732ff3c in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const ()
   from /lib64/libQt5Qml.so.5
#9  0x00007ffff73ae282 in QV4::Runtime::method_callPropertyLookup(QV4::ExecutionEngine*, QV4::Value*, unsigned int, QV4::Value*, int) () from /lib64/libQt5Qml.so.5
#10 0x00007fffdcc0fa31 in ?? ()
#11 0x0000000000000000 in ?? ()
(gdb) quit
Comment 27 Thomas Backlund 2019-12-07 12:17:25 CET
Sigh. seems QT / Plasma is as unstable as it always been ...

Does it help to rebuild plasma-workspace ?
Comment 28 David GEIGER 2019-12-07 12:32:21 CET
I was sure it was going to happen, for me either we have to rebuild the kde stack or we have to take advantage to update it :(

In future we should stop updating the Qt5 stack in a stable distro or if we going to do it anyway we have to rebuild/update the full stack. Qt5 is a pain :(

Or we have to use the backport repo or even better create a new testing repo only for kde as of something like "Core/kde_updates_testing" and after some long long tests moving pkgs to Core/Updates. Is this something achievable?
Comment 29 Thomas Backlund 2019-12-07 12:59:05 CET
(In reply to David GEIGER from comment #28)
> I was sure it was going to happen, for me either we have to rebuild the kde
> stack or we have to take advantage to update it :(
> 

So if you expected it, why didn't you patch qtbase instead of upgrading it then ?


> In future we should stop updating the Qt5 stack in a stable distro or if we
> going to do it anyway we have to rebuild/update the full stack. Qt5 is a
> pain :(
> 

Yeah, and people earlier years tried to tell us "switch from gtk to qt for better stability".... I guess we have seen how wrong that is enough times now...


I'd rather not do any kde/plasma upgrades at this time... maybe next year wen plasma 5.18 lts lands...

But googling a bit shows Fedora hit similar issues, and qtdeclarative the issue:
https://bugzilla.redhat.com/show_bug.cgi?id=1758263

And reverting atleast:
https://code.qt.io/cgit/qt/qtdeclarative.git/commit/?h=5.12&id=692b2da77427259a3589cf8a1311075863f2f5ec

and maybe 
https://github.com/qt/qtdeclarative/commit/f806d64249c6e961ab12270d3a045e9980e19cf4#diff-25d902c24283ab8cfbac54dfa101ad31

will bring it back to not crashing...

Can you try to revert 692b2da77427259a3589cf8a1311075863f2f5ec first, and push to testing ?
Comment 30 Thomas Backlund 2019-12-07 13:06:43 CET
and the other suggested fix would be:
https://phabricator.kde.org/D24654
Comment 31 David GEIGER 2019-12-07 13:07:40 CET
(In reply to Thomas Backlund from comment #29)

> So if you expected it, why didn't you patch qtbase instead of upgrading it
> then ?


Because some people asking: "Have you planned to update the Qt5 stack as it fixes some issues?"


> I'd rather not do any kde/plasma upgrades at this time... maybe next year
> wen plasma 5.18 lts lands...

After the 5.12 this will be the next LTS version.


> But googling a bit shows Fedora hit similar issues, and qtdeclarative the
> issue:
> https://bugzilla.redhat.com/show_bug.cgi?id=1758263
> 
> And reverting atleast:
> https://code.qt.io/cgit/qt/qtdeclarative.git/commit/?h=5.
> 12&id=692b2da77427259a3589cf8a1311075863f2f5ec
> 
> and maybe 
> https://github.com/qt/qtdeclarative/commit/
> f806d64249c6e961ab12270d3a045e9980e19cf4#diff-
> 25d902c24283ab8cfbac54dfa101ad31
> 
> will bring it back to not crashing...
> 
> Can you try to revert 692b2da77427259a3589cf8a1311075863f2f5ec first, and
> push to testing ?

Yes I can do this...
Comment 32 Rémi Verschelde 2019-12-07 13:40:22 CET
It's amazing that Qt manages to introduce such critical issues in their frigging LTS... What's the purpose of a LTS branch if you can't upgrade safely to a newer version of that same branch?

The more I use Qt, the more I'm disappointed about their conception of "support".

I did suggest upgrade to Qt 5.12.6 to David as I felt it should be good to get the latest version in our supposedly stable 5.12 LTS branch, but obviously I was wrong.

I'm up for testing any workaround, I could reproduce the plasmashell crashes this morning.
Rémi Verschelde 2019-12-07 13:40:33 CET

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=25837

Comment 33 David GEIGER 2019-12-07 13:41:14 CET
Hmmm seems that just patched plasma-workspace instead of qtdeclarative should fix the issue like:

https://phabricator.kde.org/D24654
Comment 34 David GEIGER 2019-12-07 13:42:41 CET
new patched plasma-workspace build in progress...
Comment 35 Thomas Backlund 2019-12-07 14:44:56 CET
(In reply to David GEIGER from comment #33)
> Hmmm seems that just patched plasma-workspace instead of qtdeclarative
> should fix the issue like:
> 
> https://phabricator.kde.org/D24654

Yes, thats the one I referenced in comment 30
Comment 36 José Jorge 2019-12-07 14:47:10 CET
(In reply to David GEIGER from comment #34)
> new patched plasma-workspace build in progress...

Installed and tested a lot, along with clementine and whatever, no more crash.
Seems good. We should push the solution before everybody applies the qt5 updates...

RPMS:
plasma-workspace-handbook-5.15.4-1.1.mga7.noarch.rpm

plasma-workspace-5.15.4-1.1.mga7.x86_64.rpm
plasma-workspace-wayland-5.15.4-1.1.mga7.x86_64.rpm
lib64weather_ion7-5.15.4-1.1.mga7.x86_64.rpm
lib64taskmanager6-5.15.4-1.1.mga7.x86_64.rpm
lib64plasma-geolocation-interface5-5.15.4-1.1.mga7.x86_64.rpm
lib64kworkspace5-5.15.4-1.1.mga7.x86_64.rpm
lib64colorcorrect5-5.15.4-1.1.mga7.x86_64.rpm
lib64plasma-workspace-devel-5.15.4-1.1.mga7.x86_64.rpm
plasma-workspace-debugsource-5.15.4-1.1.mga7.x86_64.rpm
plasma-workspace-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
lib64weather_ion7-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
lib64taskmanager6-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
lib64plasma-geolocation-interface5-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
Comment 37 Thomas Backlund 2019-12-07 14:48:35 CET
(In reply to José Jorge from comment #36)
> (In reply to David GEIGER from comment #34)
> > new patched plasma-workspace build in progress...
> 
> Installed and tested a lot, along with clementine and whatever, no more
> crash.
> Seems good. We should push the solution before everybody applies the qt5
> updates...
> 
> RPMS:
> plasma-workspace-handbook-5.15.4-1.1.mga7.noarch.rpm
> 
> plasma-workspace-5.15.4-1.1.mga7.x86_64.rpm
> plasma-workspace-wayland-5.15.4-1.1.mga7.x86_64.rpm
> lib64weather_ion7-5.15.4-1.1.mga7.x86_64.rpm
> lib64taskmanager6-5.15.4-1.1.mga7.x86_64.rpm
> lib64plasma-geolocation-interface5-5.15.4-1.1.mga7.x86_64.rpm
> lib64kworkspace5-5.15.4-1.1.mga7.x86_64.rpm
> lib64colorcorrect5-5.15.4-1.1.mga7.x86_64.rpm
> lib64plasma-workspace-devel-5.15.4-1.1.mga7.x86_64.rpm
> plasma-workspace-debugsource-5.15.4-1.1.mga7.x86_64.rpm
> plasma-workspace-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
> lib64weather_ion7-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
> lib64taskmanager6-debuginfo-5.15.4-1.1.mga7.x86_64.rpm
> lib64plasma-geolocation-interface5-debuginfo-5.15.4-1.1.mga7.x86_64.rpm

This needs to go in a new bugreport, as this update is validated and pushed.
Comment 38 Thomas Andrews 2019-12-07 14:49:42 CET
(In reply to José Jorge from comment #23)
> Unfortunately, there are several users complaining after this update in
> french mailing list.
> 
> They explain that plasma-desktop crashes after some time, it can be when
> picture in background is changed, or when they use the apps bar.

I really hate it when things show up later like this. I used these updates for several hours on two different machines, and saw no issues at all. Sigh.

But then I saw this mess yesterday, on the host machine while using a Windows XP guest in VirtualBox. What I saw acted like a screen redrawing problem. The host background screen would temporarily go black, and the panel would drop out of sight. A second or two later, it would come back. The guest window was unaffected. Later, when using Thunderbird, it happened again, but this time it didn't come back. The T-bird window was unaffected. I tried closing that to redraw the screen, and the whole thing went black. Ctrl-alt-delete brought up the logoff confirmation screen, and I logged off and back on, restoring normalcy. I was going to investigate further before reporting.

This morning these updates showed up for my laptop, and I went ahead and got them. After a reboot, I read my morning paper in Firefox, as I usually do. And I saw the issue once while doing that.

Both machines use the i915 video driver. That reminded me of issues we had with kwin and the Intel driver when M7 was in Cauldron, and I was suspecting that before I read the above comments.
Comment 39 Thomas Backlund 2019-12-07 14:52:56 CET
Lets use https://bugs.mageia.org/show_bug.cgi?id=25836 that seems to be the first "new bugreport" about the crashes

Note You need to log in before you can comment on or make changes to this bug.